Bug 789255 - Review Request: ebumeter - Loudness measurement according to EBU-R128
Review Request: ebumeter - Loudness measurement according to EBU-R128
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On: 788718
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-10 03:14 EST by Brendan Jones
Modified: 2012-04-11 22:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: ebumeter-0.1.0-7.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-10 03:14:17 EST
Loudness measurement according to EBU-R128.
Presented at LAC 2011 (thanks to Joern Nettingsmeier !).
The only documentation available ATM are the paper, the presentation
slides and the video of the LAC 2011 session.

This is another package being moved from the Planet CCRMA repo.

SRPM: http://bsjones.fedorapeople.org/ebumeter-0.1.0-2.fc16.x86_64.rpm
SPEC: http://bsjones.fedorapeople.org/ebumeter.spec
Comment 2 Volker Fröhlich 2012-02-11 18:30:36 EST
License is GPLv2+, according to the code.

As you ship the desktop file as a separate source, I suggest not to modify it in the specfile.
Comment 4 Volker Fröhlich 2012-02-14 04:04:22 EST
Your desktop file does not specify an icon. I therefore assume, you're not installing one -- specifically not into the hicolor directory.

Therefore the scriptlets are not necessary.
Comment 5 Brendan Jones 2012-02-14 04:22:48 EST
SRPM: http://bsjones.fedorapeople.org/ebumeter-0.1.0-4.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/ebumeter.spec

I have an icon from upstream, installed in pixmaps instead so scriptlets have been removed
Comment 6 Volker Fröhlich 2012-03-05 17:39:24 EST
I recommend to put Name before Summary.

Please preserve the icon's timestamp with something like "install -p -m644 ...".

The FSF postal address SHOULD be corrected and upstream should be informed.

Other than that, everything looks fine. I'll take the review.
Comment 7 Brendan Jones 2012-03-05 22:17:19 EST
Thanks for the help.

Updated here:

SRPM: http://bsjones.fedorapeople.org/ebumeter-0.1.0-5.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/ebumeter.spec
Comment 8 Volker Fröhlich 2012-03-06 10:16:59 EST
It seems to me, you don't have to BR:

fftw-devel
clalsadrv-devel
alsa-lib-devel
libX11-devel
Comment 10 Volker Fröhlich 2012-03-06 14:17:53 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[-]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint ebumeter-0.1.0-6.fc18.i686.rpm

ebumeter.i686: W: no-manual-page-for-binary ebur128
ebumeter.i686: W: no-manual-page-for-binary ebumeter
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint ebumeter-0.1.0-6.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint ebumeter-debuginfo-0.1.0-4.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

All the warnings can be ignored.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/makerpm/789255/ebumeter-0.1.0.tar.bz2 :
  MD5SUM this package     : b1fd8fec7098a7e8937d999f07b984ec
  MD5SUM upstream package : b1fd8fec7098a7e8937d999f07b984ec

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Final remarks:

Please fix those warnings:

[makerpm@lenovo-muw SOURCES]$ desktop-file-validate ebumeter.desktop
ebumeter.desktop: error: value "Application;AudioVideo;Audio;X-Jack;X-Audio_Tools" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
ebumeter.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated

As soon as that is solved, I'll approve the package.

Please inform upstream about the wrong FSF address, if you haven't already.

Cosmetics:

Please remove the space in front of the exclamation mark in the description and break the line before "presentation", so the text is less ragged. Also delete the empty line at the beginnning of the file.

Generated by fedora-review 0.1.2
External plugins:
Comment 11 Brendan Jones 2012-03-06 14:51:00 EST
Done! Thanks for the review 

SRPM: http://bsjones.fedorapeople.org/ebumeter-0.1.0-7.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/ebumeter.spec
Comment 12 Volker Fröhlich 2012-03-06 15:21:31 EST
== APPROVED ==
Comment 13 Brendan Jones 2012-03-07 07:23:23 EST
Thank you for the review

New Package SCM Request
=======================
Package Name: ebumeter
Short Description: Loudness measurement according to EBU-R128
Owners: bsjones
Branches: f15 f16 f17
InitialCC:
Comment 14 Jon Ciesla 2012-03-07 07:56:57 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2012-03-07 08:55:49 EST
ebumeter-0.1.0-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ebumeter-0.1.0-7.fc16
Comment 16 Fedora Update System 2012-03-07 08:55:57 EST
ebumeter-0.1.0-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ebumeter-0.1.0-7.fc15
Comment 17 Fedora Update System 2012-03-07 08:56:06 EST
ebumeter-0.1.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ebumeter-0.1.0-7.fc17
Comment 18 Fedora Update System 2012-03-07 17:39:58 EST
ebumeter-0.1.0-7.fc17 has been pushed to the Fedora 17 testing repository.
Comment 19 Fedora Update System 2012-03-23 20:27:11 EDT
ebumeter-0.1.0-7.fc16 has been pushed to the Fedora 16 stable repository.
Comment 20 Fedora Update System 2012-03-23 20:41:29 EDT
ebumeter-0.1.0-7.fc15 has been pushed to the Fedora 15 stable repository.
Comment 21 Fedora Update System 2012-04-11 22:39:20 EDT
ebumeter-0.1.0-7.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.